%define fw_version 5.24

Summary:	KDE Frameworks 5 module with widgets for tracking KJob instances
Name:		kjobwidgets
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5widgetsaddons-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)

%description
KDE Frameworks 5 module with widgets for tracking KJob instances.

KJobWIdgets provides widgets for showing progress of asynchronous jobs.

#----------------------------------------------------------------------------

%package i18n
Summary:	KJobWidgets translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KJobWidgets translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5jobwidgets_major 5
%define libkf5jobwidgets %mklibname kf5jobwidgets %{kf5jobwidgets_major}

%package -n %{libkf5jobwidgets}
Summary:	KDE Frameworks 5 KJob instances tracking shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5jobwidgets}
KDE Frameworks 5 KJob instances tracking shared library.

%files -n %{libkf5jobwidgets}
%{_kde5_libdir}/libKF5JobWidgets.so.%{kf5jobwidgets_major}*

#----------------------------------------------------------------------------

%define devkf5jobwidgets %mklibname kf5jobwidgets -d

%package -n %{devkf5jobwidgets}
Summary:	Development files for KDE Frameworks 5 KJob instances tracking module
Group:		Development/KDE and Qt
Requires:	%{libkf5jobwidgets} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5jobwidgets-devel = %{version}
Conflicts:	%{name} < 5.7.0-2
Obsoletes:	%{name} < 5.7.0-2

%description -n %{devkf5jobwidgets}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5jobwidgets}
%{_kde5_includedir}/KF5/KJobWidgets
%{_kde5_includedir}/KF5/kjobwidgets_version.h
%{_kde5_libdir}/cmake/KF5JobWidgets
%{_kde5_libdir}/libKF5JobWidgets.so
%{_kde5_mkspecsdir}/*.pri
%{_datadir}/dbus-1/interfaces/kf5_org.kde.*.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (5caf102) New version 5.24.0


